Bug 388532 - Clicking a popup note icon should bring the popup note to the top
Summary: Clicking a popup note icon should bring the popup note to the top
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Unclassified
Component: general (show other bugs)
Version: 1.3.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2018-01-04 16:44 UTC by Simone Gaiarin
Modified: 2018-05-18 13:18 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simone Gaiarin 2018-01-04 16:44:31 UTC
Scenario:
- Click on popupnote icon 1
- The popup note 1 opens
- Click on popupnote icon 2
- The popup note 2 opens covering the popup note 1 completely
- Click again on popupnote icon 1 
- Nothing happens. Popup note 2 is still on top of popup note 1

Moreover:
- Move popup note 2 to partially show popup note 1
- Click on popup note 1
- Popup note 1 is not brought to the front of popup note 2 and remains partially hidden

Problems:
- Difficult to find the popup note associated with an icon when multiple notes are already open
- Need to close/move multiple notes to visualize the one of interest

Suggested solution:
- Clicking on a popup note icon should bring the corresponding popup note to the front
- Clicking on a partially covered popup note should bring it to the front 

Related:
https://bugs.kde.org/show_bug.cgi?id=388450
Comment 1 Albert Astals Cid 2018-05-18 13:18:17 UTC
Git commit 48b9ca66a6fd8892c2f62b34ad56ce66c817e45c by Albert Astals Cid, on behalf of Simone Gaiarin.
Committed on 18/05/2018 at 13:17.
Pushed by aacid into branch 'master'.

Raise annotation window when clicking on annotation

Summary:
Raise annotation window when clicking on the window title, window text edit, or the associated annotation.

Reviewers: #okular, aacid

Subscribers: okular-devel, ngraham, #okular

Tags: #okular

Differential Revision: https://phabricator.kde.org/D10792

M  +89   -3    autotests/parttest.cpp
M  +6    -0    ui/annotwindow.cpp
M  +4    -1    ui/pageview.cpp

https://commits.kde.org/okular/48b9ca66a6fd8892c2f62b34ad56ce66c817e45c